List Apps
curl --request GET \
--url https://api.getfloo.com/v1/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/apps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"apps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"access_mode": "public",
"url": "<string>",
"runtime": "<string>",
"health_status": "healthy",
"last_health_check_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"effective_status": "<string>",
"runtime_status": "<string>",
"deploy_status": "<string>",
"active_deploy_id": "<string>",
"active_deploy_step": "<string>",
"last_deploy_id": "<string>",
"last_deploy_outcome": "<string>",
"last_deploy_failure": "<string>",
"last_deploy_failure_stage": "<string>",
"inferred_health_flags": {},
"access_policy": "invite",
"runtime_url": "<string>",
"github_connected": true,
"events": {
"mode": "webhook",
"webhook_configured": true,
"error_threshold": 123,
"cooldown_minutes": 123
},
"envs": [],
"services": []
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}apps
List Apps
List apps owned by the current org.
GET
/
v1
/
apps
List Apps
curl --request GET \
--url https://api.getfloo.com/v1/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/apps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"apps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"access_mode": "public",
"url": "<string>",
"runtime": "<string>",
"health_status": "healthy",
"last_health_check_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"effective_status": "<string>",
"runtime_status": "<string>",
"deploy_status": "<string>",
"active_deploy_id": "<string>",
"active_deploy_step": "<string>",
"last_deploy_id": "<string>",
"last_deploy_outcome": "<string>",
"last_deploy_failure": "<string>",
"last_deploy_failure_stage": "<string>",
"inferred_health_flags": {},
"access_policy": "invite",
"runtime_url": "<string>",
"github_connected": true,
"events": {
"mode": "webhook",
"webhook_configured": true,
"error_threshold": 123,
"cooldown_minutes": 123
},
"envs": [],
"services": []
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A floo_ API key.
Headers
Organization to act in; defaults to the one joined most recently.
Query Parameters
Required range:
x >= 1Page size, 1-100. Default 20 to keep dashboards snappy. The cap is an ordinary pagination bound, not a perf-cliff guard: this endpoint hydrates at most three deploy rows per app, so the work it does scales with the page, not with an app's deploy history.
Required range:
1 <= x <= 100